
/***************************************************************************

Copyright (c) Microsoft Corporation. All rights reserved.
This code is licensed under the Visual Studio SDK license terms.
THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.

***************************************************************************/

#ifndef languagedef_h
#define languagedef_h


//#include <strsafe.h>
#include "Common.h"

/*---------------------------------------------------------
  Create a new babel service
---------------------------------------------------------*/
HRESULT CreateBabelService( out IBabelService** babelService );

/*---------------------------------------------------------
  The user-defined class needs to be called "Service"
---------------------------------------------------------*/
class Service;
extern Service*       g_service;

/*---------------------------------------------------------
  Globals
---------------------------------------------------------*/
extern const wchar_t* g_languageName;
extern const wchar_t* g_languageFileExtensions[];
extern const CLSID    g_languageCLSID;

struct LanguageProperty
{
  const wchar_t* name;
  DWORD          value;
};

extern const LanguageProperty g_languageProperties[];


#endif